Subject: Re: [RFC] [PATCH] remote: add new --fetch option for set-url

From: Peter Wu <[email-masked]>
Date: Wed, 19 Nov 2014 21:52:49 +0100

On Wednesday 19 November 2014 12:29:47 Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
> > I dunno. I guess that is more convenient, but it seems like a lot of
> > code for a very marginal use case. But more importantly, I'm a little
> > worried that the presence of --fetch creates confusion about what
> > set-url without a --fetch or --push does. That is, it implies to me
> > that:
> >
> >   git remote add gh old-url
> >   git remote set-url gh --push push-url
> >   git remote set-url gh new-url
> >
> > would replace both the "url" _and_ "pushurl" values in the third step,
> > since we did not specify --fetch.  But it is in fact identical whether
> > you run it with "--fetch" or not.  That is, it creates a weirdly
> > non-orthogonal interface.
> 
> Yes, the semantics the updated code gives feel very strange.  I
> wouldn't be able to write a three-line summary in the release notes
> to advertise what good this new feature brings to users myself.

What about:

    "git remote set-url" learned a new "--fetch" option which can be
    used to change the fetch URL while leaving the push URL intact.
    Useful to keep a ssh URL for push and change the fetch URL to https.

which is effectively the functionality I am using it for.
-- 
Kind regards,
Peter
https://lekensteyn.nl